Time entries query through multiple projects by issue custom field not possible anymore.
Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 3.3.3

Resolution: Fixed Affected version: 3.3.1
Description

This is related to #24014

Since r15890 / #24014 it is not possible to filter time entries from different projects by an issue custom field anymore.

Sometimes it might be necessary to for example show all time entries logged against issues with a certain custom field set to some
value, regardless of what project the time entry and issue are in. If one subproject is not a subproject of the other, this is not possible
anymore in one query.

| can understand the concern raised in #24014, but | think restricting the global query to only issue custom fields that are "for all
projects” is too restrictive. | can understand that there might be many issue custom fields, but those should only be restricted on the
project time entry query, not on the global time entry query.

While researching for this | have also noticed that an issue custom field defined in a subproject will not be available anymore in the
time entry query of the parent project unless the parent project also has this issue custom field defined.

| propose to show all issue custom fields (maybe limited to those active on active projects?) on the global time entry query and to
show only the issue custom fields active in the current project and its subprojects on the project time entry query.

(Please note that the same problem exists on the global issue query and that it could be solved the same way)

Related issues:
Related to Redmine - Defect #24014: Custom fields not used in project should ... Closed

Has duplicate Redmine - Defect #1662: Issue's custom fields don't appear on s... Closed 2008-07-18

Associated revisions

Revision 16467 - 2017-04-03 16:04 - Jean-Philippe Lang

Query through multiple projects by issue custom field not possible anymore (#25501).

Revision 16505 - 2017-04-06 19:11 - Jean-Philippe Lang
Merged r16467 (#25501).

History

#1 - 2017-04-03 14:45 - Jan from Planio www.plan.io

- Related to Defect #24014: Custom fields not used in project should not be visible in spent time report added

#2 - 2017-04-03 15:03 - Jan from Planio www.plan.io

- Category set to Custom fields

We have recently upgraded Planio to Redmine 3.3 and we've received numerous reports within 24 hours from users criticising the removal of the
custom field filters on the global time log pages. | would therefore assume that many people had been using the filters in this way previously.

#3 - 2017-04-03 15:17 - Jean-Philippe Lang

- Target version set to 3.3.3

#4 - 2017-04-03 16:05 - Jean-Philippe Lang

- Status changed from New to Resolved
https://www.redmine.org/projects/redmine/repository/svn/revisions/15890
https://www.redmine.org/issues/24014
https://support.plan.io/news/125

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r16467 for time entry and issue queries.
The following custom fields are now available:

e for project queries: custom fields of project and its subprojects
e for global queries: all custom fields

#5 - 2017-04-03 18:01 - Jan from Planio www.plan.io

Awesome, thanks!

#6 - 2017-04-03 21:21 - Felix Schafer
Thanks.

#7 - 2017-04-06 19:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#8 - 2017-05-04 06:14 - Toshi MARUYAMA

- Related to Defect #1662: Issue's custom fields don't appear on some filters and custom queries editor added

#9 - 2018-02-25 17:31 - Marius BALTEANU

- Related to deleted (Defect #1662: Issue's custom fields don't appear on some filters and custom queries editor)

#10 - 2018-02-25 17:31 - Marius BALTEANU

- Has duplicate Defect #1662: Issue's custom fields don't appear on some filters and custom queries editor added
